Bug 1773631 - Adding Volume Type (CloudVolumeType) to RBAC
Summary: Adding Volume Type (CloudVolumeType) to RBAC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.13
Assignee: Jared Deubel
QA Contact: Matouš Mojžíš
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1762478
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-18 15:18 UTC by Satoe Imaishi
Modified: 2019-12-03 06:55 UTC (History)
5 users (show)

Fixed In Version: 5.10.13.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1762478
Environment:
Last Closed: 2019-12-03 06:55:43 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4047 None None None 2019-12-03 06:55:47 UTC

Comment 2 CFME Bot 2019-11-18 15:32:05 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/31d9a94591299e2ce16458fd0faf14c62b4d2bba
commit 31d9a94591299e2ce16458fd0faf14c62b4d2bba
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Oct 16 17:29:26 2019 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Wed Oct 16 17:29:26 2019 -0400

    Merge pull request #19408 from jdeubel/add-cloud_volume_type-to-rbac

    Adding Volume Type (CloudVolumeType) to RBAC

    (cherry picked from commit b6616cfc34506a7cf00068fb2754b55ec6745f77)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1773631

 lib/rbac/filterer.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 3 Matouš Mojžíš 2019-11-26 17:01:24 UTC
Verified in 5.10.13.0. User that has access to Cloud Volume Types and his group is restricted to only some Tags cannot see Cloud Volume Types with tags that do not belong to user's group.

Comment 5 errata-xmlrpc 2019-12-03 06:55:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4047


Note You need to log in before you can comment on or make changes to this bug.